<script type="text/javascript">
	$(document).ready(function(){
	$("#input_rj").hide();
	$("#data_detail").hide();
	
	$("#mulai").click(function(){		
		$(".input_detail").val('');
		$(".input_header").val('');
		$("#txt_cariplg").val('');
		$("#txt_caribr").val('');
		$("#data_detail").show();
		cari_tgl();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		$.ajax({
			type	: "POST",
			url	: "modul/returjual/cari_nomor.php",
			data	: "tanggal="+tanggal,			
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				$('#input_rj').show();
				cari_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("modul/returjual/tampil_data_detail.php?kode="+kode);
	}
	
	$("#txt_tanggal").keyup(function(){
		cari_nomor();
	});
	
	function cari_nourut(){
		var kode = $("#txt_kode").val();
				
		$.ajax({
			type	: "POST",
			url	: "modul/returjual/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){				
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
		
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namaplg').keyup(function(){
		$('#form_cari_plg').dialog('open');
		$("#info_pelanggan").load('modul/returjual/tampil_data_plg.php');
		$("#txt_cariplg").focus();
	});
	
	$("#txt_cariplg").keyup(function(){
		$("#info_pelanggan").show();
		var cari	= $("#txt_cariplg").val();
		
		$.ajax({
			type	: "POST",
			url	: "modul/returjual/tampil_data_plg.php",
			data	: "cari="+cari,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info_pelanggan").html("<img src='loading.gif' />");
			},				  
			success	: function(data){
				$("#info_pelanggan").html(data);
			}
		});
	});
	
	$('#form_cari_faktur').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
			
	$('#form_cari_barang').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namast').keyup(function(){
		$('#form_cari_barang').dialog('open');
		
		var kode	= $("#txt_nomorfk").val();
		$.ajax({
			type	: "POST",
			url	: "modul/returjual/tampil_data_barang.php",
			data	: "kode="+kode,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info_barang").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_barang").html(data);
			}
		});
	});
	
	$('#txt_namast').click(function(){
		$('#form_cari_barang').dialog('open');
		
		var kode	= $("#txt_nomorfk").val();
		$.ajax({
			type	: "POST",
			url	: "modul/returjual/tampil_data_barang.php",
			data	: "kode="+kode,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info_barang").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_barang").html(data);
			}
		});
	});
		
	$("#txt_jmlretur").keyup(function(){
		var hgjual	= $("#txt_hgjual").val();
		var hgbeli	= $("#txt_hgbeli").val();
		var jmlkirim= $("#txt_jmlkirim").val();
		var jmlretur= $("#txt_jmlretur").val();
		var jkirim	= parseInt(jmlkirim);
		var jretur	= parseInt(jmlretur);
		
		if(jretur>jkirim){
			alert('Maaf, jumlah retur tidak boleh lebih dari jumlah kirim.')
			return (false);
		}
		
		var tjumlah= jretur*parseInt(hgjual);
		var thpp   	= jretur*parseInt(hgbeli);
		$("#txt_jumlah").val(tjumlah);
		$("#txt_hpp").val(thpp);
	});
	
	$("#simpan").click(function(){
		simpan_data();
	});
		
	function simpan_data(){
		var	kode	= $("#txt_kode").val();
		var	tanggal = $("#txt_tanggal").val();
		var	kodeplg	= $("#txt_kodeplg").val();
		var	namaplg = $("#txt_namaplg").val();
		var	nomorfk = $("#txt_nomorfk").val();
		var	tanggalfk= $("#txt_tanggalfk").val();
		var	kodesl 	= $("#txt_kodesl").val();
		var caraby 	= $(".radio_cb:checked").val();
		var cek_cb	= $(".radio_cb:checked");		
		var	nourut 	= $("#txt_nourut").val();
		var	kodest	= $("#txt_kodest").val();
		var	namast	= $("#txt_namast").val();
		var	satuan	= $("#txt_satuan").val();
		var	jmlkirim= $("#txt_jmlkirim").val();
		var	jmlretur= $("#txt_jmlretur").val();
		var	hgjual  = $("#txt_hgjual").val();
		var	jumlah	= $("#txt_jumlah").val();
		var	hpp	= $("#txt_hpp").val();
		var	ket		= $("#txt_ket").val();
		
		var error = false;
		
		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal faktur tidak boleh kosong.");
		   $("#txt_tanggal").focus();
		   return (false);
        }
		
		if(namaplg.length == 0){
			var error = true;
			alert("Maaf, Nama pelanggan harus diisi.");
			$("#txt_namaplg").focus();
			return (false);
        }
		
		if(nomorfk.length == 0){
			var error = true;
			alert("Maaf, Nomor faktur tidak boleh kosong");
			$("#txt_nomorfk").focus();
			return (false);
        }
		
		if(cek_cb.length == 0){
			var error = true;
			alert("Maaf, Anda belum menentukan cara pengembalian.");
			$("#radio_cb").focus();
			return (false);
         }
		
		if(kodest.length == 0){
           var error = true;
           alert("Maaf, Kode Barang tidak boleh kosong");
		   $("#txt_kodest").focus();
		   return (false);
         }
		
		if(jmlretur.length == 0){
           var error = true;
           alert("Maaf, Jumlah retur barang tidak boleh kosong");
		   $("#txt_jmlunit").focus();
		   return (false);
        }
		
		if(ket.length == 0){
			var error = true;
			alert("Maaf, Kolom keterangan tidak boleh kosong");
			$("#txt_ket").focus();
			return (false);
         }
		 
		if(error == false){
		$.ajax({
			type	: "POST",
			url	: "modul/returjual/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&kodeplg="+kodeplg+
					"&namaplg="+namaplg+
					"&nomorfk="+nomorfk+
					"&tanggalfk="+tanggalfk+
					"&kodesl="+kodesl+
					"&caraby="+caraby+
					"&nourut="+nourut+
					"&kodest="+kodest+
					"&namast="+namast+
					"&satuan="+satuan+
					"&jmlkirim="+jmlkirim+
					"&jmlretur="+jmlretur+
					"&hgjual="+hgjual+
					"&jumlah="+jumlah+
					"&hpp="+hpp+
					"&ket="+ket,
					
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');				
				$("#txt_namast").focus();
				cari_nourut();
				tampil_data_detail();
			}
		});
		}
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").load("modul/returjual/tampil_data_detail.php?kode="+kode);
		cari_total();
	}
	
	function cari_total(){
		var	kode= $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url	: "modul/returjual/cari_total.php",
			data	: "kode="+kode,
			dataType	: "json",
			success	: function(data){
				$("#txt_total").val(data.total);
			}
		});
	}
	
	$("#rekam_rj").click(function(){	
		rekam_rpj();
	});
	
	function rekam_rpj(){
		var	kode = $("#txt_kode").val();
		var	tanggal = $("#txt_tanggal").val();
		var	kodeplg = $("#txt_kodeplg").val();
		var	namaplg = $("#txt_namaplg").val();
		var	nomorfk = $("#txt_nomorfk").val();
		var caraby 	= $(".radio_cb:checked").val();
		var	total	 = $("#txt_total").val();
		
		var error = false;

		if(kode.length == 0){
           var error = true;
           alert("Maaf, Kode retur masih kosong. Klik tombol Buat Retur untuk mulai.");
		   return (false);
        }
		
		if(total.length == 0){
			var error = true;
			alert("Maaf, Total nilai retur penjualan masih kosong.");
			$("#txt_kodest").focus();
			return (false);
        }
		
		if(error == false){
		$.ajax({
			type	: "POST",
			url	: "modul/returjual/simpan_rj.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal+
				"&kodeplg="+kodeplg+
				"&namaplg="+namaplg+
				"&nomorfk="+nomorfk+
				"&total="+total+
				"&caraby="+caraby,
					
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$("#txt_total").val('');				
			}
		});
		}
	}
	
	$("#batal_rj").click(function(){
		batal_rpj();
	});
	
	function batal_rpj(){
		var	kode	= $("#txt_kode").val();
		var	total	= $("#txt_total").val();
		
		if(kode.length == 0){
           var error = true;
           alert("Maaf, Kode retur penjualan  masih kosong.");
		   return (false);
        }
		
		if(total.length == 0){
			var error = true;
			alert("Maaf, Total nilai retur penjualan masih kosong");
			$("#txt_kodest").focus();
			return (false);
        }
		
		var pilih = confirm('Apakah Anda sungguh-sungguh ingin membatalkan input '+kode+' ini ?');
		if (pilih==true) {
			var	kode	= $("#txt_kode").val();			
			$.ajax({
				type	: "POST",
				url	: "modul/returjual/batal_input.php",
				data	: "kode="+kode,
				success	: function(data){
					window.location.reload();
				}
			});
		}
	}
	
	$("#cetak_mk").click(function(){
		var	kode	= $("#txt_kode").val();
		var	kodeplg	= $("#txt_kodeplg").val();
		var	total	= $("#txt_total").val();		
		var	tgl		= $("#txt_tanggal").val();
		var	nomorfk = $("#txt_nomorfk").val();
		var	tglfk	= $("#txt_tanggalfk").val();
		
		window.location.href='modul/laporan/memo_krd.php?kode='+kode+'&kodeplg='+kodeplg+'&tgl='+tgl+'&nomorfk='+nomorfk+'&tglfk='+tglfk;
	});
		
	$("#tutup").click(function(){
		var	total	 = $("#txt_total").val();
		
		if(!(total.length == 0)){
			var error = true;
			alert("Maaf, data retur penjualan belum direkam.");			
			return (false);
        }
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
echo "<table width='100%'>	
	<tr>
		<input type='text' name='txt_nourut' id='txt_nourut' class='input_header' hidden />
		<input type='text' name='txt_kodesl' id='txt_kodesl' class='input_header' hidden />
		<td>Kode Retur : <input type='text' name='txt_kode' id='txt_kode' size='8' class='input_header' readonly></td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10' class='input_header'></td>		
		<td>Pelanggan : <input type='text' name='txt_namaplg' id='txt_namaplg' size='20' class='input_header'>
			<input type='text' name='txt_kodeplg' id='txt_kodeplg' size='3' class='input_header' readonly/>
		</td>
		<td>No. Faktur : <input type='text' name='txt_nomorfk' id='txt_nomorfk' size='9' class='input_header' readonly/></td>
		<td>Tgl. Faktur : <input type='date' name='txt_tanggalfk' id='txt_tanggalfk' size='10' class='input_header' readonly/></td>
	</tr>
	</table>
	
	<table>
	<tr>
		<td>Cara Pengembalian :</td>
		<td><input type='radio' name='txt_caraby' id='txt_caraby' value='Tunai' class='radio_cb'>Tunai</td>
		<td><input type='radio' name='txt_caraby' id='txt_caraby' value='Kredit' class='radio_cb'>Kredit</td>
	</tr>
	</table>	
	<hr>";

echo "<div id='form_cari_plg' title='Pencarian Data Pelanggan'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Pelanggan</td>
				<td width='2%'>:</td>
				<td><input type='text' name='txt_cariplg' id='txt_cariplg' size='30'</td>
			</tr>
		</table>
		<div id='info_pelanggan' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<table>
		<tr>			
			<th>Nama Barang</th>
			<th>Kode</th>				
			<th>Satuan</th>
			<th>Jml.Kirim</th>
			<th>Jml.Retur</th>
			<th>Harga Jual</th>
			<th>Nilai Retur</th>
			<th>Keterangan</th>
			<th></th>
		<tr>
		
		<tr>
			<input type='text' name='txt_total' id='txt_total' class='input_header' hidden />
			<input type='text' name='txt_hgbeli' id='txt_hgbeli' class='input_detail' hidden />
			<input type='text' name='txt_hpp' id='txt_hpp' class='input_detail' hidden />			
			<td align='center'><input type='text' name='txt_namast' id='txt_namast' class='input_detail' size='25'></td>
			<td align='center'><input type='text' name='txt_kodest' id='txt_kodest' class='input_detail' size='6' readonly /></td>						
			<td align='center'><input type='text' name='txt_satuan' id='txt_satuan' class='input_detail' size='6' readonly></td>
			<td align='center'><input type='text' name='txt_jmlkirim' id='txt_jmlkirim' class='input_detail' size='6' readonly /></td>
			<td align='center'><input type='text' name='txt_jmlretur' id='txt_jmlretur' class='input_detail' size='6' maxlength='6'></td>
			<td align='center'><input type='text' name='txt_hgjual' id='txt_hgjual' class='input_detail' size='10' readonly /></td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='10' readonly /></td>
			<td align='center'><input type='text' name='txt_ket' id='txt_ket' class='input_detail' size='20' maxlength='30'></td>	
			<td colspan='3' align='center'>			
				<button name='simpan' id='simpan'>Rekam</button>
			</td>
		</tr>
	</table>";

echo "<div id='data_detail' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>";

echo "<div id='form_cari_faktur' title='Pencarian Faktur Penjualan'>		
		<div id='info_faktur' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

	
echo "<div id='form_cari_barang' title='Pencarian Barang'>
		<div id='info_barang' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";
	
echo "<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
		<button name='mulai' id='mulai'>Buat Retur</button>
		<button name='rekam_rj' id='rekam_rj'>Rekam Retur</button>
		<button name='cetak_mk' id='cetak_mk'>Cetak Memo Kredit</button>
		<button name='batal_rj' id='batal_rj'>Batal</button>
		<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>";
?>
